<routes xmlns="http://camel.apache.org/schema/spring">

    <route>
        <from uri="timer://myTimer?repeatCount=1"></from>
        <to uri="bean:jt809.JT809Server?method=initServer(20004)"/>

    </route>

    <!--同步服务配置-->

<!--    <route>-->
<!--        <from uri="paho:/dev/gps/#?brokerUrl=tcp://127.0.0.1:1883&amp;userName=iot2yun&amp;password=123456&amp;clientId=khy_redclient"></from>-->
<!--        <to uri="bean:org.dromara.util.CamelDataUtil?method=ReciveData(${body})"></to>-->
<!--    </route>-->


    <route>
        <from uri="netty:tcp://0.0.0.0:24000?encoders=#bean:nettyencode&amp;decoders=#bean:nettydecode&amp;exchangePattern=InOnly"/>
        <to uri="bean:org.dromara.util.CamelDataUtil?method=ReciveTcpData(${body})"></to>
    </route>

<!--    <route>-->
<!--        <from uri="direct:reSendTCp"/>-->
<!--        <to uri="paho:/peoplecount/in?brokerUrl=tcp://127.0.0.1:1883&amp;userName=iot2yun&amp;password=123456&amp;clientId=khy_writeclient2"/>-->
<!--    </route>-->
<!--    <route>-->
<!--        <from uri="direct:reSendTCpO"/>-->
<!--        <to uri="paho:/peoplecount/out?brokerUrl=tcp://127.0.0.1:1883&amp;userName=iot2yun&amp;password=123456&amp;clientId=khy_writeclient3"/>-->
<!--    </route>-->

<!--    <route>-->
<!--        <from uri="direct:senddev"/>-->
<!--        <to uri="paho:/devdata/?brokerUrl=tcp://127.0.0.1:1883&amp;userName=iot2yun&amp;password=123456&amp;clientId=khy_writeclient1"/>-->
<!--    </route>-->

<!--    <route>-->
<!--        <from uri="direct:sendMessage"/>-->
<!--        <to uri="bean:org.dromara.util.CamelDataUtil?method=processdata(${body})"></to>-->
<!--        <to uri="paho:/dev/?brokerUrl=tcp://127.0.0.1:1883&amp;userName=iot2yun&amp;password=123456&amp;clientId=khy_writeclient"/>-->
<!--    </route>-->



</routes>
